Skip to main content
PATCH
/
datasets
/
{dataset_id}
Update Dataset
curl --request PATCH \
  --url https://api.serial.io/datasets/{dataset_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "usl": 123,
  "lsl": 123,
  "is_active": true
}
'
import requests

url = "https://api.serial.io/datasets/{dataset_id}"

payload = {
"name": "<string>",
"usl": 123,
"lsl": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', usl: 123, lsl: 123, is_active: true})
};

fetch('https://api.serial.io/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "process_revision": 123,
  "order": 123,
  "lsl": 123,
  "usl": 123,
  "unit": "<string>",
  "child_component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true,
  "values": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>

Path Parameters

dataset_id
string
required

Id of the dataset

Body

application/json
name
string

New user facing name for the dataset

usl
number

New upper spec limit for the dataset

lsl
number

New lower spec limit for the dataset

is_active
boolean

Response

OK

id
string<uuid>
required

Database id for the dataset

name
string
required

User facing name for the dataset

process_id
string<uuid>
required

Process id associated with the dataset

data_type
enum<string>
required
Available options:
PARAMETRIC_QUANTITATIVE,
PARAMETRIC_QUALITATIVE,
CHECKBOX,
LINK,
IMAGE,
FILE,
UID
created_at
string<date-time>
required
process_revision
number
required
order
number

Order in which the dataset shows up relative to others

lsl
number<float>
usl
number<float>
unit
string
child_component_id
string<uuid>
expected_value
any
Available options:
true,
false
is_active
boolean
values
string[]

Used for property datasets, is a LRU cache of used values